#!/usr/bin/ruby
# 20060922 for ts800 test
# 20061224, 20061225 for Lakeshore temp controller
# 20061229 CCHN-->SCHN, CDAT-->SDAT
# 20071101 for Lantronix UDS1100

require 'socket'

#host = "133.40.61.102" # ts800
#host = "133.40.61.145" # spike
#host = "133.40.61.123" # 4 port
#host = "133.40.61.237"
#host = "133.40.61.243"
#host = "133.40.61.236"
#host = "133.40.61.232"
#host = "133.40.61.60"
host = "133.40.61.237"
port = 10001 # X
#port = 7002 # Y
#port = 7003 # other

if ARGV[0] != nil
  filename = ARGV[0]
else
  filename = "lakeshore.log"
end


while true
  sock = TCPSocket.open(host, port)
  print "finished socket open\n"

  fp = File.open(filename, "a");

  # get current time
  t = Time.now.strftime('%Y/%m/%d %H:%M:%S')

  ### set channel A
  ch = "SCHN A"
  len = sock.write(ch)
  print "finished socket writing", len, "chars\n"

  sleep 2

  ### query sensor data
  ch = "SDAT?"
  len = sock.write(ch)
  print "finished socket writing", len, "chars\n"

  rcv = sock.gets
  print "finished socket reading\n"
  tempa = rcv[0,6]

  sleep 2

  ### set channel B
  ch = "SCHN B"
  len = sock.write(ch)
  print "finished socket writing", len, "chars\n"

  sleep 2

  ### query sensor data
  ch = "SDAT?"
  len = sock.write(ch)
  print "finished socket writing", len, "chars\n"

  rcv = sock.gets
  print "finished socket reading\n"
  tempb = rcv[0,6]

  fp.puts t+" "+tempa+" "+tempb
  puts t+" "+tempa+" "+tempb
  fp.close

  sock.close

  print "sleeping 20 sec.\n"
  sleep 20
end
