#!/usr/bin/ruby
# 20060922 for ts800 test
# 20061224, 20061225 for Lakeshore temp controller

require 'socket'

#host = "133.40.61.102" # ts800
#host = "133.40.61.145" # spike
#host = "133.40.61.123" # 4 port
#host = "133.40.61.237"
host = "133.40.61.60"
port = 7001 # X
#port = 7002 # Y
#port = 7003 # other

sock = TCPSocket.open(host, port)
print "finished socket open\n"

ch = "RANG?\n" # query heater status
len = sock.write(ch)
print ch
rcv = sock.gets
ret = rcv[15,6]
print ret

sleep 1

ch = "HEAT?\n"  # query heater power status
len = sock.write(ch)
print ch
rcv = sock.gets
print rcv

sleep 1

ch = "CCHN?\n" # query control channel
len = sock.write(ch)
print ch
rcv = sock.gets
print rcv

sleep 1

ch = "SETP?\n"  # query set point
len = sock.write(ch)
print ch
rcv = sock.gets
print rcv

#sleep 1

#ch = "RAMP?\n"  # query ramping mode status

sock.close

